gdcm::Segment Class Reference

This class defines a segment. More...

`#include <gdcmSegment.h>`

Inheritance diagram for gdcm::Segment:
[legend]
Collaboration diagram for gdcm::Segment:
[legend]

## Public Types

enum | ALGOType { AUTOMATIC = 0 , SEMIAUTOMATIC , MANUAL , ALGOType_END }
typedef std::vector< SegmentHelper::BasicCodedEntry > | BasicCodedEntryVector
typedef std::vector< SmartPointer< Surface > > | SurfaceVector

## Public Member Functions

| Segment ()
| ~Segment () override
void | AddSurface (SmartPointer< Surface > surface)
SegmentHelper::BasicCodedEntry & | GetAnatomicRegion ()
SegmentHelper::BasicCodedEntry const & | GetAnatomicRegion () const
BasicCodedEntryVector & | GetAnatomicRegionModifiers ()
BasicCodedEntryVector const & | GetAnatomicRegionModifiers () const
SegmentHelper::BasicCodedEntry & | GetPropertyCategory ()
SegmentHelper::BasicCodedEntry const & | GetPropertyCategory () const
SegmentHelper::BasicCodedEntry & | GetPropertyType ()
SegmentHelper::BasicCodedEntry const & | GetPropertyType () const
BasicCodedEntryVector & | GetPropertyTypeModifiers ()
BasicCodedEntryVector const & | GetPropertyTypeModifiers () const
const char * | GetSegmentAlgorithmName () const
ALGOType | GetSegmentAlgorithmType () const
const char * | GetSegmentDescription () const
const char * | GetSegmentLabel () const
unsigned short | GetSegmentNumber () const
SmartPointer< Surface > | GetSurface (const unsigned int idx=0) const
unsigned long | GetSurfaceCount ()
SurfaceVector & | GetSurfaces ()
SurfaceVector const & | GetSurfaces () const
void | SetAnatomicRegion (SegmentHelper::BasicCodedEntry const &BSE)
void | SetAnatomicRegionModifiers (BasicCodedEntryVector const &BSEV)
void | SetPropertyCategory (SegmentHelper::BasicCodedEntry const &BSE)
void | SetPropertyType (SegmentHelper::BasicCodedEntry const &BSE)
void | SetPropertyTypeModifiers (BasicCodedEntryVector const &BSEV)
void | SetSegmentAlgorithmName (const char *name)
void | SetSegmentAlgorithmType (ALGOType type)
void | SetSegmentAlgorithmType (const char *typeStr)
void | SetSegmentDescription (const char *description)
void | SetSegmentLabel (const char *label)
void | SetSegmentNumber (const unsigned short num)
void | SetSurfaceCount (const unsigned long nb)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static ALGOType | GetALGOType (const char *type)
static const char * | GetALGOTypeString (ALGOType type)

## Protected Attributes

SegmentHelper::BasicCodedEntry | AnatomicRegion
BasicCodedEntryVector | AnatomicRegionModifiers
SegmentHelper::BasicCodedEntry | PropertyCategory
SegmentHelper::BasicCodedEntry | PropertyType
BasicCodedEntryVector | PropertyTypeModifiers
std::string | SegmentAlgorithmName
ALGOType | SegmentAlgorithmType
std::string | SegmentDescription
std::string | SegmentLabel
unsigned short | SegmentNumber
unsigned long | SurfaceCount
SurfaceVector | Surfaces

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

This class defines a segment.

It mainly contains attributes of group 0x0062. In addition, it can be associated with surface.

See also
  PS 3.3 C.8.20.2 and C.8.23

## Member Typedef Documentation

## BasicCodedEntryVector

typedef std::vector< SegmentHelper::BasicCodedEntry > gdcm::Segment::BasicCodedEntryVector

## SurfaceVector

typedef std::vector< SmartPointer< Surface > > gdcm::Segment::SurfaceVector

## Member Enumeration Documentation

## ALGOType

enum gdcm::Segment::ALGOType

Enumerator
AUTOMATIC |
SEMIAUTOMATIC |
MANUAL |
ALGOType_END |

## Constructor & Destructor Documentation

## Segment()

gdcm::Segment::Segment | ( |  | ) |

## ~Segment()

gdcm::Segment::~Segment | ( |  | ) |

override

## Member Function Documentation

## AddSurface()

void gdcm::Segment::AddSurface | ( | SmartPointer< Surface > | surface | ) |

References gdcm::Object::SmartPointer.

## GetALGOType()

ALGOType gdcm::Segment::GetALGOType | ( | const char * | type | ) |

static

## GetALGOTypeString()

const char * gdcm::Segment::GetALGOTypeString | ( | ALGOType | type | ) |

static

## GetAnatomicRegion() [1/2]

SegmentHelper::BasicCodedEntry & gdcm::Segment::GetAnatomicRegion | ( |  | ) |

## GetAnatomicRegion() [2/2]

SegmentHelper::BasicCodedEntry const & gdcm::Segment::GetAnatomicRegion | ( |  | ) | const

## GetAnatomicRegionModifiers() [1/2]

BasicCodedEntryVector & gdcm::Segment::GetAnatomicRegionModifiers | ( |  | ) |

## GetAnatomicRegionModifiers() [2/2]

BasicCodedEntryVector const & gdcm::Segment::GetAnatomicRegionModifiers | ( |  | ) | const

## GetPropertyCategory() [1/2]

SegmentHelper::BasicCodedEntry & gdcm::Segment::GetPropertyCategory | ( |  | ) |

## GetPropertyCategory() [2/2]

SegmentHelper::BasicCodedEntry const & gdcm::Segment::GetPropertyCategory | ( |  | ) | const

## GetPropertyType() [1/2]

SegmentHelper::BasicCodedEntry & gdcm::Segment::GetPropertyType | ( |  | ) |

## GetPropertyType() [2/2]

SegmentHelper::BasicCodedEntry const & gdcm::Segment::GetPropertyType | ( |  | ) | const

## GetPropertyTypeModifiers() [1/2]

BasicCodedEntryVector & gdcm::Segment::GetPropertyTypeModifiers | ( |  | ) |

## GetPropertyTypeModifiers() [2/2]

BasicCodedEntryVector const & gdcm::Segment::GetPropertyTypeModifiers | ( |  | ) | const

## GetSegmentAlgorithmName()

const char * gdcm::Segment::GetSegmentAlgorithmName | ( |  | ) | const

## GetSegmentAlgorithmType()

ALGOType gdcm::Segment::GetSegmentAlgorithmType | ( |  | ) | const

## GetSegmentDescription()

const char * gdcm::Segment::GetSegmentDescription | ( |  | ) | const

## GetSegmentLabel()

const char * gdcm::Segment::GetSegmentLabel | ( |  | ) | const

## GetSegmentNumber()

unsigned short gdcm::Segment::GetSegmentNumber | ( |  | ) | const

## GetSurface()

SmartPointer< Surface > gdcm::Segment::GetSurface | ( | const unsigned int | idx = 0 | ) | const

References gdcm::Object::SmartPointer.

## GetSurfaceCount()

unsigned long gdcm::Segment::GetSurfaceCount | ( |  | ) |

## GetSurfaces() [1/2]

SurfaceVector & gdcm::Segment::GetSurfaces | ( |  | ) |

## GetSurfaces() [2/2]

SurfaceVector const & gdcm::Segment::GetSurfaces | ( |  | ) | const

## SetAnatomicRegion()

void gdcm::Segment::SetAnatomicRegion | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

## SetAnatomicRegionModifiers()

void gdcm::Segment::SetAnatomicRegionModifiers | ( | BasicCodedEntryVector const & | BSEV | ) |

## SetPropertyCategory()

void gdcm::Segment::SetPropertyCategory | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

## SetPropertyType()

void gdcm::Segment::SetPropertyType | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

## SetPropertyTypeModifiers()

void gdcm::Segment::SetPropertyTypeModifiers | ( | BasicCodedEntryVector const & | BSEV | ) |

## SetSegmentAlgorithmName()

void gdcm::Segment::SetSegmentAlgorithmName | ( | const char * | name | ) |

## SetSegmentAlgorithmType() [1/2]

void gdcm::Segment::SetSegmentAlgorithmType | ( | ALGOType | type | ) |

## SetSegmentAlgorithmType() [2/2]

void gdcm::Segment::SetSegmentAlgorithmType | ( | const char * | typeStr | ) |

## SetSegmentDescription()

void gdcm::Segment::SetSegmentDescription | ( | const char * | description | ) |

## SetSegmentLabel()

void gdcm::Segment::SetSegmentLabel | ( | const char * | label | ) |

## SetSegmentNumber()

void gdcm::Segment::SetSegmentNumber | ( | const unsigned short | num | ) |

## SetSurfaceCount()

void gdcm::Segment::SetSurfaceCount | ( | const unsigned long | nb | ) |

## Member Data Documentation

## AnatomicRegion

SegmentHelper::BasicCodedEntry gdcm::Segment::AnatomicRegion

protected

## AnatomicRegionModifiers

BasicCodedEntryVector gdcm::Segment::AnatomicRegionModifiers

protected

## PropertyCategory

SegmentHelper::BasicCodedEntry gdcm::Segment::PropertyCategory

protected

## PropertyType

SegmentHelper::BasicCodedEntry gdcm::Segment::PropertyType

protected

## PropertyTypeModifiers

BasicCodedEntryVector gdcm::Segment::PropertyTypeModifiers

protected

## SegmentAlgorithmName

std::string gdcm::Segment::SegmentAlgorithmName

protected

## SegmentAlgorithmType

ALGOType gdcm::Segment::SegmentAlgorithmType

protected

## SegmentDescription

std::string gdcm::Segment::SegmentDescription

protected

## SegmentLabel

std::string gdcm::Segment::SegmentLabel

protected

## SegmentNumber

unsigned short gdcm::Segment::SegmentNumber

protected

## SurfaceCount

unsigned long gdcm::Segment::SurfaceCount

protected

## Surfaces

SurfaceVector gdcm::Segment::Surfaces

protected

The documentation for this class was generated from the following file:

- gdcmSegment.h